%define upstream_name    DBIx-Connector
%define upstream_version 0.60

%{?perl_default_filter}

Name:       perl-%{upstream_name}
Version:    %perl_convert_version %{upstream_version}
Release:    %mkrel 1

Summary:    Fast, safe DBI connection and transaction management
License:    GPL+ or Artistic
Group:      Development/Perl
Url:        https://metacpan.org/release/%{upstream_name}
Source0:    https://cpan.metacpan.org/modules/by-module/DBIx/%{upstream_name}-%{upstream_version}.tar.gz

BuildRequires: perl(DBI) >= 1.605.0
BuildRequires: perl(Test::More)
BuildArch:  noarch

%description
no description found

%prep
%setup -q -n %{upstream_name}-%{upstream_version}

%build
%__perl Makefile.PL INSTALLDIRS=vendor

%make_build

%check
%make_build test

%install
%make_install

%files
%doc Changes LICENSE META.json META.yml MYMETA.yml README
%{_mandir}/man3/*
%perl_vendorlib/*

%changelog
* Fri Jan 24 2025 tv <tv> 0.600.0-1.mga10
+ Revision: 2141478
- update to 0.60

* Tue Aug 29 2023 tv <tv> 0.590.0-1.mga10
+ Revision: 1980940
- update to 0.59

* Mon Sep 05 2022 tv <tv> 0.580.0-1.mga9
+ Revision: 1884059
- update to 0.58

* Mon Mar 21 2022 umeabot <umeabot> 0.570.0-2.mga9
+ Revision: 1815026
- Mageia 9 Mass Rebuild

* Mon Oct 04 2021 tv <tv> 0.570.0-1.mga9
+ Revision: 1749246
- update to 0.57

* Sat Feb 15 2020 umeabot <umeabot> 0.560.0-5.mga8
+ Revision: 1523736
- Mageia 8 Mass Rebuild

* Tue Mar 12 2019 tv <tv> 0.560.0-4.mga7
+ Revision: 1374682
- fix summary

* Wed Sep 19 2018 umeabot <umeabot> 0.560.0-3.mga7
+ Revision: 1267050
- Mageia 7 Mass Rebuild

* Sun Jun 19 2016 pterjan <pterjan> 0.560.0-2.mga6
+ Revision: 1025472
- Rebuild for perl 5.22.2

* Tue Mar 22 2016 shlomif <shlomif> 0.560.0-1.mga6
+ Revision: 994139
- update to 0.56

* Wed Feb 10 2016 shlomif <shlomif> 0.550.0-1.mga6
+ Revision: 953200
- New version 0.55

* Mon Feb 08 2016 umeabot <umeabot> 0.530.0-6.mga6
+ Revision: 948838
- Mageia 6 Mass Rebuild

* Sun Oct 19 2014 umeabot <umeabot> 0.530.0-5.mga5
+ Revision: 788481
- Rebuild to potentially add missing dependencies
- Second Mageia 5 Mass Rebuild

* Tue Sep 16 2014 umeabot <umeabot> 0.530.0-3.mga5
+ Revision: 684131
- Mageia 5 Mass Rebuild

* Sat Oct 19 2013 umeabot <umeabot> 0.530.0-2.mga4
+ Revision: 525181
- Mageia 4 Mass Rebuild

* Wed May 29 2013 shlomif <shlomif> 0.530.0-1.mga4
+ Revision: 432452
- update to 0.53

* Sun Jan 13 2013 umeabot <umeabot> 0.520.0-2.mga3
+ Revision: 365132
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Mon Jun 04 2012 kharec <kharec> 0.520.0-1.mga3
+ Revision: 254042
- update to 0.52

* Tue Feb 21 2012 kharec <kharec> 0.510.0-1.mga2
+ Revision: 211628
- update to 0.51

* Fri Dec 09 2011 kharec <kharec> 0.470.0-1.mga2
+ Revision: 179795
- imported package perl-DBIx-Connector

